This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 583153 - Content Management should support option of off-line/local synchronization when CSP is unavailable
Content Management should support option of off-line/local synchronization wh...
Status: CLOSED DEFERRED
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.3.1
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-16 16:13 EDT by Larry O'Leary
Modified: 2014-05-29 12:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-29 12:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2010-04-16 16:13:50 EDT
In some instances an RHQ server might not have public network access meaning that it would be unable to synchronize content sources for JBoss patch/upgrade delivery with the JBoss Customer Support Portal (CSP).  In these cases a local content source should be supported offering the same functionality as the CSP would offer except not requiring the external network access.  

For example, an application/script would be executed on a system which has public access to CSP.  This app/script would pull the contents of the CSP for patches/upgrades and then push them to a local location on the private network.  This local location on the private network would then serve as the Content Source for the RHQ server and it would use the contents the same as it would use the contents of the CSP.
Comment 4 Jay Shaughnessy 2014-05-29 12:08:03 EDT
closing as deferred for consideration in future content/provisioning work.  nothing planned.

Note You need to log in before you can comment on or make changes to this bug.